# Query Hardware Isolation Group - DescribeIsolationGroup

## Overview

Query the hardware isolation group list.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeIsolationGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID |No|
| **GroupId** | string | Hardware Isolation Group ID to be checked |No|
| **Offset** | int | List start position offset, default is 0 |No|
| **Limit** | int | Return data length, default is 20, maximum 100 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **IsolationGroupSet** | array[[*IsolationGroup*](#isolationgroup)] | Collection of hardware isolation groups. See data structure IsolationGroup. |No|
| **TotalCount** | int | Total Number of Hardware Isolation Groups |No|

#### Data Model


#### IsolationGroup

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **GroupName** | string | Hardware Isolation Group Name |No|
| **GroupId** | string | Hardware Isolation Group id |No|
| **SpreadInfoSet** | array[[*SpreadInfo*](#spreadinfo)] | The number of machines in each availability zone. See data structure SpreadInfo. |No|
| **Remark** | string | Note |No|

#### SpreadInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone Information |No|
| **UHostCount** | int | The number of cloud hosts in the hardware isolation group in all available zones in the current region does not exceed 7. |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeIsolationGroup
&Region=cn-zj
&GroupId=eoLEQOOy
&ProjectId=UAfwElsL
&Offset=4
&Limit=3
&GroupId.N=qKyTKzgY
&ResourceType=aYJzspBZ
```

### Response Example
    
```json
{
  "Action": "DescribeIsolationGroupResponse",
  "IsolationGroupSet": [
    {
      "GroupId": "sYCGPSVa",
      "GroupName": "FfjAvODP",
      "SpreadInfoSet": [
        {
          "UHostCount": 4,
          "Zone": "ckzKEzju"
        },
        {
          "UHostCount": 4,
          "Zone": "JxJjJLEh"
        },
        {
          "UHostCount": 1,
          "Zone": "vfeWwork"
        },
        {
          "UHostCount": 7,
          "Zone": "mdDSKRtP"
        },
        {
          "UHostCount": 8,
          "Zone": "ckmKtCkf"
        },
        {
          "UHostCount": 8,
          "Zone": "fdyQiLJX"
        },
        {
          "UHostCount": 6,
          "Zone": "bnpHtcVh"
        },
        {
          "UHostCount": 7,
          "Zone": "tlgxSexx"
        },
        {
          "UHostCount": 7,
          "Zone": "DknEPTTQ"
        }
      ]
    },
    {
      "GroupId": "dUtmePjp",
      "GroupName": "waQcuepq",
      "SpreadInfoSet": [
        {
          "UHostCount": 2,
          "Zone": "RIkhPcmF"
        },
        {
          "UHostCount": 6,
          "Zone": "ZZiDAcUQ"
        },
        {
          "UHostCount": 6,
          "Zone": "LxwjPKkC"
        },
        {
          "UHostCount": 6,
          "Zone": "EICjITTU"
        },
        {
          "UHostCount": 4,
          "Zone": "LvRzXMqO"
        },
        {
          "UHostCount": 1,
          "Zone": "hsNbrfIO"
        },
        {
          "UHostCount": 6,
          "Zone": "vLxZmVpQ"
        },
        {
          "UHostCount": 9,
          "Zone": "YaqMHcyT"
        },
        {
          "UHostCount": 8,
          "Zone": "VkTcAsom"
        },
        {
          "UHostCount": 7,
          "Zone": "osJUBzQs"
        }
      ]
    },
    {
      "GroupId": "PNbUMSnT",
      "GroupName": "BuRDNSMV",
      "SpreadInfoSet": [
        {
          "UHostCount": 1,
          "Zone": "FqzxOwWF"
        },
        {
          "UHostCount": 8,
          "Zone": "TYJXNABc"
        },
        {
          "UHostCount": 2,
          "Zone": "TmifjmqF"
        },
        {
          "UHostCount": 6,
          "Zone": "ynTmVgAX"
        },
        {
          "UHostCount": 3,
          "Zone": "VpulfwsB"
        },
        {
          "UHostCount": 8,
          "Zone": "GmkCwqKR"
        },
        {
          "UHostCount": 9,
          "Zone": "dDKSifpU"
        },
        {
          "UHostCount": 5,
          "Zone": "UrGHZufJ"
        },
        {
          "UHostCount": 5,
          "Zone": "gUdvtgFE"
        }
      ]
    },
    {
      "GroupId": "YRMkPcpS",
      "GroupName": "GLKfEBHo",
      "SpreadInfoSet": [
        {
          "UHostCount": 5,
          "Zone": "XHgsxqdg"
        },
        {
          "UHostCount": 6,
          "Zone": "iRQKLaRj"
        },
        {
          "UHostCount": 9,
          "Zone": "vFgPUUjt"
        },
        {
          "UHostCount": 4,
          "Zone": "BNWmMVpg"
        },
        {
          "UHostCount": 1,
          "Zone": "DeXHKBzt"
        },
        {
          "UHostCount": 9,
          "Zone": "avAFYxlI"
        },
        {
          "UHostCount": 3,
          "Zone": "sPwawXVS"
        },
        {
          "UHostCount": 7,
          "Zone": "XPOommle"
        },
        {
          "UHostCount": 8,
          "Zone": "sDVWXwoD"
        },
        {
          "UHostCount": 8,
          "Zone": "NHWKWBmr"
        }
      ]
    },
    {
      "GroupId": "KbqAWrnZ",
      "GroupName": "YQRxjUUP",
      "SpreadInfoSet": [
        {
          "UHostCount": 9,
          "Zone": "ybcvUHGg"
        },
        {
          "UHostCount": 2,
          "Zone": "bNCfdMfU"
        }
      ]
    },
    {
      "GroupId": "VvKIjAoJ",
      "GroupName": "PoNhklah",
      "SpreadInfoSet": [
        {
          "UHostCount": 1,
          "Zone": "jtsvJBwo"
        },
        {
          "UHostCount": 2,
          "Zone": "amlZMtpF"
        },
        {
          "UHostCount": 5,
          "Zone": "RqGIAweJ"
        },
        {
          "UHostCount": 2,
          "Zone": "ZUmCMgmh"
        },
        {
          "UHostCount": 7,
          "Zone": "DHLgKKsN"
        },
        {
          "UHostCount": 1,
          "Zone": "khBlCYDN"
        },
        {
          "UHostCount": 7,
          "Zone": "aKZoaKxv"
        },
        {
          "UHostCount": 7,
          "Zone": "XKwieRxS"
        },
        {
          "UHostCount": 1,
          "Zone": "ZztdlMSY"
        },
        {
          "UHostCount": 3,
          "Zone": "beGvpfXk"
        }
      ]
    },
    {
      "GroupId": "wYyaBPCv",
      "GroupName": "SPFppiav",
      "SpreadInfoSet": [
        {
          "UHostCount": 2,
          "Zone": "sHRTtqXY"
        },
        {
          "UHostCount": 6,
          "Zone": "IOyDEHtK"
        },
        {
          "UHostCount": 2,
          "Zone": "qCWALWUq"
        },
        {
          "UHostCount": 4,
          "Zone": "xWfLsowE"
        },
        {
          "UHostCount": 2,
          "Zone": "hpvNNHce"
        },
        {
          "UHostCount": 5,
          "Zone": "cJUybjFR"
        },
        {
          "UHostCount": 2,
          "Zone": "mVDidZHk"
        },
        {
          "UHostCount": 2,
          "Zone": "zbyPAXxR"
        },
        {
          "UHostCount": 6,
          "Zone": "PxaozvKP"
        },
        {
          "UHostCount": 5,
          "Zone": "BPfzdZlb"
        }
      ]
    },
    {
      "GroupId": "cILearzD",
      "GroupName": "GhNYJpke",
      "SpreadInfoSet": [
        {
          "UHostCount": 4,
          "Zone": "NlJbuwsv"
        },
        {
          "UHostCount": 6,
          "Zone": "JiDJVDmu"
        },
        {
          "UHostCount": 3,
          "Zone": "reyxDucL"
        },
        {
          "UHostCount": 5,
          "Zone": "BCanlmvA"
        },
        {
          "UHostCount": 4,
          "Zone": "ahWxmqUD"
        },
        {
          "UHostCount": 9,
          "Zone": "JxDibZhh"
        },
        {
          "UHostCount": 1,
          "Zone": "TjYOutYX"
        }
      ]
    },
    {
      "GroupId": "ppLfBQrd",
      "GroupName": "chrixSUu",
      "SpreadInfoSet": [
        {
          "UHostCount": 2,
          "Zone": "HPCwJiXb"
        },
        {
          "UHostCount": 4,
          "Zone": "QUqJKHmy"
        }
      ]
    },
    {
      "GroupId": "ZRjkgaqr",
      "GroupName": "UPZRkjRv",
      "SpreadInfoSet": [
        {
          "UHostCount": 1,
          "Zone": "CXNrjCEU"
        },
        {
          "UHostCount": 8,
          "Zone": "aYcMlSSf"
        },
        {
          "UHostCount": 9,
          "Zone": "gorleIqQ"
        },
        {
          "UHostCount": 2,
          "Zone": "WSpdvKHZ"
        }
      ]
    }
  ],
  "RetCode": 0,
  "TotalCount": 6
}
```





